import Vue from 'vue';
import Router from 'vue-router';
import { ZdPage } from '@zeedhi/vue';
import { Loader } from '@zeedhi/core';

Vue.use(Router);

const router = new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'home',
      component: () => import('./views/Home.vue'),
    },
    {
      path: '/login',
      name: 'login',
      component: ZdPage,
      props: () => ({
        path: 'login',
        local: true,
      }),
    },
    {
      path: '/zeedhi',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: 'zeedhi',
        local: true,
      }),
    },
    {
      path: '/ger21000_formas_apresentacao',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/parametrizacao/ger21000_formas_apresentacao',
        local: true,
      }),
    },
    {
      path: '/pme00600_elaboracao_cardapio',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/cardapio/pme00600_elaboracao_cardapio',
        local: true,
      }),
    },
    {
      path: '/ger96000_central',
      name: 'Central',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/cadastro/ger96000_central',
        local: true,
      }),
    },
    {
      path: '/pla01300_prato',
      name: 'prato',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/parametrizacao/pla01300_prato',
        local: true,
      }),
    },
    {
      path: '/pla01308_utilizacao_produto_receita',
      name: 'utilizacaoProdutos',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/parametrizacao/pla01308_utilizacao_produto_receita',
        local: true,
      }),
    },
    {
      path: '/pla01303_emissao_das_receitas',
      name: 'emissaoReceitas',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/parametrizacao/pla01303_emissao_das_receitas',
        local: true,
      }),
    },
    {
      path: '/pme11000_percentual_adesao_prato',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/parametrizacao/pme11000_percentual_adesao_prato',
        local: true,
      }),
    },
    {
      path: '/pme00900_requisicao_servico_analitica',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/requisicao/pme00900_requisicao_servico_analitica',
        local: true,
      }),
    },
    {
      path: '/pme00800_calculo_previsao_consumo',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/requisicao/pme00800_calculo_previsao_consumo',
        local: true,
      }),
    },
    {
      path: '/pme03100_emissao_card_dia',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme03100_emissao_card_dia',
        local: true,
      }),
    },
    {
      path: '/pme03000_emissao_card_periodo',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme03000_emissao_card_periodo',
        local: true,
      }),
    },
    {
      path: '/ger80500_nutricionista',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/parametrizacao/ger80500_nutricionista',
        local: true,
      }),
    },
    {
      path: '/pme00300_tipo_de_cardapio',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/parametrizacao/pme00300_tipo_de_cardapio',
        local: true,
      }),
    },
    {
      path: '/pme00700_consumo_por_servico',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/servico/pme00700_consumo_por_servico',
        local: true,
      }),
    },
    {
      path: '/pme00200_servico',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/servico/pme00200_servico',
        local: true,
      }),
    },
    {
      path: '/report',
      name: 'report',
      component: ZdPage,
      props: () => ({
        path: 'report',
        local: true,
      }),
    },
    {
      path: '/pme01000_emissao_card_semana',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme01000_emissao_card_semana',
        local: true,
      }),
    },
    {
      path: '/pme02400_clientes_por_servico',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/servico/pme02400_clientes_por_servico',
        local: true,
      }),
    },
    {
      path: '/pme09100_nutriente_cardapio',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme09100_nutriente_cardapio',
        local: true,
      }),
    },
    {
      path: '*',
      component: ZdPage,
      props: {
        path: 'notfound',
        local: true,
      },
    },
    {
      path: '/pme01000_emissao_card_semana',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme01000_emissao_card_semana',
        local: true,
      }),
    },
    {
      path: '/pme02400_clientes_por_servico',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/servico/pme02400_clientes_por_servico',
        local: true,
      }),
    },
    {
      path: '/pme09100_nutriente_cardapio',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme09100_nutriente_cardapio',
        local: true,
      }),
    },
    {
      path: '/pme09100_nutriente_cardapio',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme09100_nutriente_cardapio',
        local: true,
      }),
    },
    {
      path: '/pme00500_comensais_estimados',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/parametrizacao/pme00500_comensais_estimados',
        local: true,
      }),
    },
    {
      path: '/pme08100_custo_real_periodo',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/custo/pme08100_custo_real_periodo',
        local: true,
      }),
    },
    {
      path: '/pme01300_emissao_card_periodo_PAE',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/relatorios/pme01300_emissao_card_periodo_PAE',
        local: true,
      }),
    },
    {
      path: '/pme08000_custo_planejado_cardapio',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/custo/pme08000_custo_planejado_cardapio',
        local: true,
      }),
    },
    {
      path: '/pme01400_efetivos',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/medicao/pme01400_efetivos',
        local: true,
      }),
    },
    {
      path: '/ger02500_nutrientes',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/parametrizacao/ger02500_nutrientes',
        local: true,
      }),
    },
    {
      path: '/ger30000_padrao_de_servico',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/planejamento/servico/ger30000_padrao_de_servico',
        local: true,
      }),
    },
    {
      path: '/pme02000_retirada_inventario',
      name: 'zeedhi',
      component: ZdPage,
      props: () => ({
        path: '/pme/medicao/pme02000_retirada_inventario',
        local: true,
      }),
    },
  ],
});

router.afterEach(() => {
  router.app.$nextTick(() => {
    const appController = Loader.getInstance('AppController');
    if (appController.isNotMini) appController.routerAcessMini();
  });
});

export default router;
